Kerbal Space Program - Bug #446

Rotating the axis of a craft core alters the axis that symmetrical parts are placed at.
03/18/2013 09:35 AM - sjwt

Status: Closed Start date: 03/18/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.19 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

If you rotate the axis of the base part of your craft IE a core or nose so that it faces Right/Left instead of Up/Down in the VAB or
reverse in the SPH the axis of symmetry is out by the rotation of the core craft part as in these images

Version 0.19.0.49 - Clean install
Running latest NVIDIA drivers.

screenshota.jpg

History

#1 - 03/18/2013 09:10 PM - sjwt
This bug also affects the Navball, making it believe that up is 180-0

#2 - 03/19/2013 07:47 PM - QuantumFlux
- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Platform Any added

| can confirm this on Linux.

You can work around this by attaching the target part in the appropriate rotation in relation to the pod, then adding the radially attached parts, then
bringing the part back to it's original rotation.

#3 - 03/19/2013 07:51 PM - sjwt

Yes that does fix the placement, but the reason | put this to high was cause of the updated info about it also effecting the orientation of the nav ball..

#4 - 03/19/2013 08:03 PM - QuantumFlux
- Severity changed from High to Normal

The orientation change is working as intended, the navball-orientation is always the orientation of the part you selected to "Control from here", or the
root part of the ship (the probe body in this case).

Bumping the priority down to "Normal".

#5 - 09/05/2014 10:11 AM - Kerolyov
Still present in 0.24

#6 - 07/17/2016 09:23 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 07/17/2016 06:33 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100
- Platform Windows added
- Platform deleted (Any)

There's now a key for that, "F" to toggle symmetry around the parent part or the vessel.
